Page MenuHomePhabricator

CX2: Publishing support
Closed, ResolvedPublic

Description

Content Translation is expected to provide support for publishing in different ways:

  • Basic publishing (T162768). Create a new article with the contents of the translation.
  • Feedback about the process:
    • Communicate publishing is in progress (T189291). Prevents changes while the process is in progress.
    • Confirms successful publishing (T188733). Informs the user that the new article was created and where to find it.
    • Communicate warning and errors (T189488). Surface the issues that prevented publishing or warnings for the user to consider.
      • Investigate common errors (T189475)
      • Confirm publishing with existing warnings (T190036)
      • Warning when page already exists (T190038)
      • Warning when there is too much unmodified MT content (T190279), and edit tag (T190798)
      • Error when there is too much unmodified MT content (T190283)
      • Invalid titles because of problematic characters (T190804) or being empty (T190805)
    • Surface feedback when scrolling (T189470). Make the user aware of the results of the publishing process when in the middle of the document without getting too much in the way.
  • Confirm publishing with warnings (T189671). When warnings are identified, ask for confirmation before publishing.
  • Captcha confirmation (T189766) Some wikis require a captcha to be filled to publish under some circumstances, users should be able to fill it in order to publish.
  • Publishing settings(T133862). Allow to select the destination, customize commit messages, or mark the published page for follow-up work.
  • Partial publishing (T189661). Allow to publish a translation with issues by skipping the problematic content pieces.

Related Objects

StatusAssignedTask
ResolvedPginer-WMF
ResolvedPetar.petkovic
OpenNone
Resolvedsanthosh
OpenNone
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
DeclinedNone
ResolvedAmire80
ResolvedAmire80
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedKartikMistry
ResolvedNikerabbit
OpenNone
OpenNone
ResolvedPetar.petkovic
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
OpenNone
DuplicateNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
Resolvedsanthosh
Resolvedsanthosh
DeclinedNone
Resolvedsanthosh
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2018, 1:44 PM

Is this Epic?

Yes, we can consider it has enough pieces big enough to be an epic. I added the tag. Thanks!

Pginer-WMF updated the task description. (Show Details)Mar 9 2018, 11:55 AM
Pginer-WMF updated the task description. (Show Details)Mar 12 2018, 11:57 AM
Pginer-WMF updated the task description. (Show Details)Mar 12 2018, 12:51 PM
Pginer-WMF updated the task description. (Show Details)Mar 12 2018, 3:29 PM
Pginer-WMF updated the task description. (Show Details)Mar 14 2018, 10:40 AM
Pginer-WMF updated the task description. (Show Details)Mar 14 2018, 10:56 AM
Pginer-WMF updated the task description. (Show Details)Mar 14 2018, 12:42 PM
Pginer-WMF updated the task description. (Show Details)Mar 14 2018, 3:22 PM
Pginer-WMF updated the task description. (Show Details)Mar 15 2018, 10:21 AM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF updated the task description. (Show Details)Mar 19 2018, 12:06 PM
Pginer-WMF updated the task description. (Show Details)Mar 19 2018, 12:24 PM

A user comment describing the issues of not being able to track which piece of content is causing the translation not to be able to publish.

Pginer-WMF updated the task description. (Show Details)Mar 21 2018, 1:27 PM
Pginer-WMF updated the task description. (Show Details)Mar 21 2018, 2:00 PM
Pginer-WMF updated the task description. (Show Details)Mar 27 2018, 10:49 AM
Pginer-WMF updated the task description. (Show Details)Mar 27 2018, 11:55 AM
Pginer-WMF updated the task description. (Show Details)Mar 27 2018, 12:07 PM
Pginer-WMF closed this task as Resolved.Jul 1 2019, 12:36 PM
Pginer-WMF claimed this task.

The general system is inplace and specific improvements will be tracked in individual tickets.